<?php

// (Shirai075): fs_moodleの設定を表示するメニューをサイト管理に追加 (2008/07/21)

// ------------------------------------------------------------
pagecheck();
// ------------------------------------------------------------

function fsconfig_check_chatSettings()
{
    global $fsCFG;
    print_section_header('チャットに関する設定');
    print_subsection_header_fs_cfg('chatName');
    echo '　オリジナルのMoodleのチャット機能では氏名の”名”が発言者名として表示されます．';
    echo 'Steve Jobsが”Steve >”と表示されるならば良いのですが，白井達也が”達也 >"と表示されるのは落ち着きません．';
    echo 'この機能拡張では”白井 >”あるいはハンドルネームが登録されているならば”シライ．>”のように表示する機能です．';
    newline();
    echo '　$fsCFG->chatNameの設定は'.color_blue($fsCFG->chatName).'です．';
    if (($fsCFG->chatName < 1) || ($fsCFG->chatName > 6)) {
        echo color_red('この設定には1から6の範囲の値以外は設定できません！');
        newline();
    }
    echo '　この変数には以下の選択肢があります．';
    table_of_select_data('chatName');
/*
    echo '　この値によってチャット時のハンドル名表示が以下のように変わります．';
    echo '<ol>';
    echo '<li value="1"> : ファーストネーム（名）：Moodle標準の設定</li>';
    echo '<li value="2"> : ラストネーム（姓）</li>';
    echo '<li value="3"> : フルネーム（姓名）</li>';
    echo '<li value="4"> : ハンドルネームかファーストネーム</li>';
    echo '<li value="5"> : ハンドルネームかラストネーム</li>';
    echo '<li value="6"> : ハンドルネームかフルネーム</li>';
    echo '</ol>';
*/
    echo '4から6の場合，もし学生がユーザプロフィールにハンドルネームを設定しているならば，';
    echo 'ハンドルネームが用いられます．この設定はサイト中の全チャットで共通の設定であり，';
    echo '個別に設定することはできませんのでご了承下さい．';
    print_fs_cfg_condition('chatName');
    print_notice_message('注意', '　この機能を利用するには，サイト管理者は［サイト管理］－［ユーザ］－［アカウント］－［ユーザプロファイルフィールド］において，省略名が"handlename"のプロファイルフィールドを１個，追加しておく必要があります．名称は自由です．');

    print_subsection_footer();
    print_section_footer();
}

fsconfig_check_chatSettings();

?>